 <!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
	<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
<!--===============================================================================================-->	
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<script src="{% static 'js/cloud.js' %}"></script>
		  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

	</head>
<body bgcolor="#ffffff">
 <div class='modal-loader'> </div>
			<div id="cld"></div>
			
 	 	<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>

<script>
// variable to store the text of the tweets 
var text={{text|safe}};
if(text!="1"){
var max=text[0][1]
init()
}

 // Function to create tags for jstagsphere
function createTags() {
	var elem=[];
    for(var i=0;i<text.length;i++){
    elem.push({text:text[i][0], id: i, weight: text[i][1]});
	}
 	elements=elem;
    return elem;
} // createTags
// Initializing clouder in the word cloud div
function init() {
    var w = Math.max(window.innerWidth, document.body.clientWidth), h = Math.max(window.innerHeight, document.body.clientHeight);
    var clouder = document.getElementById('cld');
    clouder.style.width = w*0.85+"px";
    clouder.style.height =h * 0.8+"px";
    clouder.style.position = "absolute";
    clouder.style.left = w / 21+"px";
    clouder.style.top = h / 11+"px";

    clouder = new Clouder({
        container: clouder,
        tags: createTags(),
		idleMotion:0.1,
		interval: 100,
		max:max,
		callback: function(id) {
     
		}
    });
} 

</script>	
	
 
</body>
</html>
